Bug 1428279 - Unable to open ansible credentials
Summary: Unable to open ansible credentials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: lgalis
QA Contact: Dmitry Misharov
URL:
Whiteboard: automate:ansible
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 08:16 UTC by Dmitry Misharov
Modified: 2017-05-31 14:37 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:37:42 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Dmitry Misharov 2017-03-02 08:16:39 UTC
Description of problem:
Unexpected error encountered when Ansible credentials opened

Version-Release number of selected component (if applicable):
5.8.0.3.20170301174324_1e2e0c4 

How reproducible:
Always

Steps to Reproduce:
1. Add an Ansible Tower provider.
2. Navigate to Automation->Ansible->Credentials

Actual results:
"Unexpected error encountered" screen shown.
Error text
uninitialized constant Draper [ansible_credential/show_list] 

Expected results:
Credentials screen should be shown.

Comment 3 Dmitry Misharov 2017-03-08 10:34:19 UTC
Verified in 5.8.0.4.20170307183144_745a3d9. Credentials tab is opened without exceptions.

Comment 5 errata-xmlrpc 2017-05-31 14:37:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.